Page MenuHomePhabricator

As a PM I want to provide localized store information for automatic upload with builds
Closed, ResolvedPublic

Description

Use Fastlane for uploading descriptions, titles, etc.

Event Timeline

JMinor created this task.May 14 2018, 8:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

There's a set of backlog tasks I've been procrastinating on that would be ideal to roll into this. Added as subtasks.

This comment was removed by JoeWalsh.
JoeWalsh reassigned this task from JoeWalsh to JMinor.May 15 2018, 3:00 PM
JoeWalsh added a subscriber: JoeWalsh.

Per the meeting we'll do this via Fastlane going forward.

The initial process will be:

  • Lani & Josh will update the release template to cover these changes
  • When a release ticket is created a subtask "Update app store strings for Fastlane" should be created and assigned to the PO
  • The PO will submit a pull request to the metadata directory with any new strings
  • [potentially] the new strings will be submitted to TWN for translation, and new translations will be populated into the metadata directory as part of the pre-release localization sync
  • The release manager will verify, prior to submit, that the new strings appear in iTunes connect
JMinor added a subscriber: LGoto.May 15 2018, 7:01 PM

Moved to Waiting, until we are ready for 5.8.2 release.

cc @LGoto

Target localizations for this versions should be added for all supported languages. Many of these will be English for now, but we should set them all up so that we can add translations and get this all filled up for future versions.

Name:
/* Application name (Wikipedia) for the app store */
"onboarding-wikipedia" = "Wikipedia";

Promotional text:
/* Short description of the app for the app store */
"app-store-short-description" = "Download the Wikipedia app to explore places near you, sync articles to read offline and customize your reading experience.";

Subtitle:
/* Title for introductory welcome screen */
"welcome-intro-free-encyclopedia-title" = "The free encyclopedia";

Whats new:
/* Short description of what is new in this major version. In 5.8 this is a slight variant of ""home-reading-list-prompt".*/
NEW_KEY = "Saved articles can now be organized into reading lists and synced across devices."

Keywords:
/* Search keywords for the app store. Note that each keyword should be translated seperately (not as a phrase or sentence. */
NEW_KEY = "Wikipedia, reference, wiki, encyclopedia, info, knowledge, research, information, explore, learn"

For now, the long description ("Description") should not be localized via this method, as it contains way too much text for now.

JMinor removed JMinor as the assignee of this task.May 29 2018, 10:28 PM
Mhurd added a comment.EditedJun 28 2018, 3:46 PM

Added app name, subtitles, release notes (ie what's new) and keywords:
https://github.com/wikimedia/wikipedia-ios/pull/2376

Vvjjkkii renamed this task from As a PM I want to provide localized store information for automatic upload with builds to bzcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii removed Mhurd as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Mhurd; removed: Aklapper.
CommunityTechBot renamed this task from bzcaaaaaaa to As a PM I want to provide localized store information for automatic upload with builds.Jul 2 2018, 5:25 AM
CommunityTechBot assigned this task to Mhurd.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: Mhurd.
Mhurd added a comment.Jul 9 2018, 10:36 PM

@JMinor

Here's a quick straw-man for 6.0 app-store-release-notes:

"Cleaner 'Explore' layouts with better visual separation between sections. Localization and performance improvements and various bug fixes."

@Mhurd, my take:

"Fully customizable and easier to read Explore feed. Localization, performance improvements and bug fixes."

JMinor closed this task as Resolved.Aug 27 2018, 9:25 PM

Some subtasks are still open for verification, but the basic mechanism is in place.